Redmine - Defect #29701

Custom queries are broken by updating with nil parameter values
2018-10-01 04:15 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed Affected version:

Description

Steps to reproduce:

1. Open the issues list and move some columns to "Selected Columns" list box in the filter options. In the screenshot below, "Start

date" and "Due date" is the column. You will see those 2 columns in the issues list.
2. Click "Apply" and save the query as a custom query.
3. Move to the gantt and apply the query by clicking the query name in the sidebar.
4. Click "Edit" to update the query.

5. Save the query without any change.

6. Go back to the issues list and apply the query. "Start date" and "Due date" should be in the list, but actually the selected columns

in the query have been reset to default and you cannot see those 2 columns.
7. In addition, you no longer be able to change the selected columns of the query any longer after updating the query on gantt view.

"Available columns" and "Selected columns" list boxes are grayed-out.
Related issues:

Related to Redmine - Defect #31063: Can't uncheck Gantt chart options of cust...

Closed

Associated revisions

Revision 17566 - 2018-10-04 14:46 - Go MAEDA

Custom queries are broken by updating with nil parameter values (#29701).

Patch by Mizuki ISHIKAWA.

History

#1 - 2018-10-04 03:50 - Mizuki ISHIKAWA
- File bugfix-29701.patch added

| attached a patch to fix this detect.

Actually, not only the selected columns but also the same problem occurred in many columns such as sort_criteria and group_by.

bugfix-29701.patch also solves those problems.

#2 - 2018-10-04 10:28 - Go MAEDA

- Target version set to Candidate for next minor release
https://www.redmine.org/attachments/21561

#3 - 2018-10-04 14:48 - Go MAEDA

- Subject changed from Updating a custom query on gantt view resets selected columns to default to Custom queries are broken by updating with nil

parameter values

- Assignee set to Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.0

- Resolution set to Fixed

Committed the patch. Thank you for fixing the issue so quickly.

#4 - 2018-10-05 01:55 - Go MAEDA

- Status changed from New to Closed

#5 - 2019-03-25 15:18 - Go MAEDA

- Related to Defect #31063: Can't uncheck Gantt chart options of custom queries added
